Subject: [Sigtran] Help:Clarification on M3UA functionality

From: Suresh Marikkannu <[email-masked]>
Date: Mon, 1 Jun 2009 20:54:05 +0530

Hi,

        I have few queries about M3UA functionality related to SCTP Associations.
        Is it possible to establish multiple sctp associations between two ASPs? Is M3UA (as per RFCs) supports these feature (multiple sctp associations between two ASPs) explicitly.

Regards,
Suresh M

DISCLAIMER:
-----------------------------------------------------------------------------------------------------------------------

The contents of this e-mail and any attachment(s) are confidential and intended for the named recipient(s) only.
It shall not attach any liability on the originator or HCL or its affiliates. Any views or opinions presented in 
this email are solely those of the author and may not necessarily reflect the opinions of HCL or its affiliates.
Any form of reproduction, dissemination, copying, disclosure, modification, distribution and / or publication of 
this message without the prior written consent of the author of this e-mail is strictly prohibited. If you have 
received this email in error please delete it and notify the sender immediately. Before opening any mail and 
attachments please check them for viruses and defect.

-----------------------------------------------------------------------------------------------------------------------

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 1 Jun 2009 10:37:22 -0600

Suresh,

Suresh Marikkannu wrote:  (Mon, 01 Jun 2009 20:54:05)
>
> Is it possible to establish multiple sctp associations between
> two ASPs?

Yes.

> Is M3UA (as per RFCs) supports these feature (multiple sctp
> associations between two ASPs) explicitly.

Yes.

But a particular implementation is not required to support
multiple associations in this fashion.

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Suresh Marikkannu <[email-masked]>
Date: Tue, 2 Jun 2009 20:51:55 +0530

Hi Brian,

      Thanks for your response. We need some more clarification.

      Please find the queries inline.

Regards,

Suresh M

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: Monday, June 01, 2009 10:07 PM
To: Suresh Marikkannu
Cc: [email-masked]
Subject: Re: [Sigtran] Help:Clarification on M3UA functionality

Suresh,

Yes.

But RFC 4666 section 1.3.2.4 says that,

In order to avoid redundant SCTP associations between two M3UA peers, one side (client) SHOULD be designated to establish the SCTP association, or

M3UA configuration information maintained to detect redundant associations (e.g., via knowledge of the expected local and remote SCTP endpoint addresses).

Can you clarify on this?

And also can you provide any use cases to have multiple sctp associations between two ASP?

Yes.

--

Brian F. G. Bidulock

[email-masked]

http://www.openss7.org/

DISCLAIMER:

---

From: "HOLLAND, Peter (Peter)" <[email-masked]>
Date: Tue, 2 Jun 2009 18:04:46 +0200

Brian,
I also question this:

RFC4666 says:  An  ASP contains an SCTP endpoint
and RFC2960 says:  Two SCTP endpoints MUST NOT have
      more than one SCTP association between them at any given time.

Regards
Peter

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Suresh Marikkannu
Sent: 02 June 2009 16:22
To: [email-masked]
Cc: [email-masked]
Subject: Re: [Sigtran] Help:Clarification on M3UA functionality

Hi Brian,

Regards,

Suresh M

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: Monday, June 01, 2009 10:07 PM
To: Suresh Marikkannu
Cc: [email-masked]
Subject: Re: [Sigtran] Help:Clarification on M3UA functionality

Suresh,

Yes.

Can you clarify on this?

Yes.

--

Brian F. G. Bidulock

[email-masked]

http://www.openss7.org/

DISCLAIMER:

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 2 Jun 2009 14:18:32 -0600

Suresh,

Suresh Marikkannu wrote:                                                                                                      (Tue, 02 Jun 2009 20:51:55)
>    In order to avoid redundant SCTP associations between two M3UA peers,
>    one side (client) SHOULD be designated to establish the SCTP
>    association, or
> 
>    M3UA configuration information maintained to detect redundant
>    associations (e.g., via knowledge of the expected local and remote
>    SCTP endpoint addresses).

SCTP endpoint address includes port number.

An M3UA client can form multiple SCTP associations from different
originating port numbers.

>    associations between two ASP?

Yes.  Where the M3UA client (AS) uses dynamic port allocation
it uses the ASP Id to distinguish between ASPs on the same host.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 2 Jun 2009 14:19:23 -0600

HOLLAND,,

HOLLAND, Peter (Peter) wrote:                                                                                               (Tue, 02 Jun 2009 17:50:36)
>          more than one SCTP association between them at any given time.

An SCTP endpoint is a set of IP addresses and a port number.
Multiple associations can be formed from different port numbers.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Barry Nagelberg" <[email-masked]>
Date: Tue, 2 Jun 2009 16:35:49 -0400

All,

Peter Holland is correct. To avoid confusion, I suggest that we use the SCTP definitions as they appear in RFC4666, in
section 1.3. (Key Terms):

SCTP endpoint: The logical sender/receiver of SCTP packets.

SCTP association: ...  Two SCTP endpoints MUST NOT have
      more than one SCTP association between them at any given time.

Barry Nagelberg
Adax, Inc.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On
Behalf Of Brian F. G. Bidulock
Sent: Tuesday, June 02, 2009 4:19 PM
To: HOLLAND, Peter (Peter)
Cc: Suresh Marikkannu; [email-masked]
Subject: Re: [Sigtran] Help:Clarification on M3UA functionality

HOLLAND,,

--brian

--

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 2 Jun 2009 15:38:50 -0600

Barry,

That would be great, but RFC 4666 has no section and does not
define SCTP endpoint.  It is defined in RFC 4960, which is
normative.

RFC 4666 does say:

   Application Server Process (ASP) - A process instance of an
   Application Server.  An Application Server Process serves as an
   active or backup process of an Application Server (e.g., part of a
   distributed virtual switch or database).  Examples of ASPs are
   processes (or process instances) of MGCs, IP SCPs, or IP HLRs.  An
   ASP contains an SCTP endpoint and may be configured to process
   signalling traffic within more than one Application Server.

So an ASP can simply be one of a number of ASP processes on a host,
each with their own SCTP endpoint (IP address and port combination).
So, one HOST can have multiple SCTP associations to an SG, each
represent a different ASP, uniquely identified by ASP Id where the
SCTP endpoint address is no known to the SG.

--brian

Barry Nagelberg wrote:                                                                                                         (Tue, 02 Jun 2009 16:35:49)
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sigtran

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Sergey Mikhailov" <[email-masked]>
Date: Wed, 3 Jun 2009 15:40:41 +0800

Brian,

>> Is it possible to establish multiple sctp associations between

Between two ASPs?

It's Ok for multiple ASPs on each host, but I don't see how is this possible 
for two ASPs, one per host.

With an ASP using different SCTP endpoints (multiple non-overlapping sets of 
transport addresses)?
Looks counternatural.

S.

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 3 Jun 2009 14:30:24 -0600

Sergey,

A single-ended IPSP and an ASP are the same thing really.

--brian

Sergey Mikhailov wrote:                     (Wed, 03 Jun 2009 15:40:41)
> It's Ok for multiple ASPs on each host, but I don't see how is this 
> possible for two ASPs, one per host.
> 
> With an ASP using different SCTP endpoints (multiple non-overlapping sets 
> of transport addresses)?
> Looks counternatural.
> 
> 
> S.

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/